import { Config } from './interfaces/config';
import redis from './utils/redis';
import * as Fastify from 'fastify';
import { Verbs } from './interfaces/common';
import rabbit from './utils/rabbit';
export default class Microservice {
    server: Fastify.FastifyInstance;
    private config;
    private agent;
    databases?: any;
    redis?: redis;
    rabbit: rabbit;
    constructor(config: Config);
    declareRoute(verb: Verbs, path: string, handler: Fastify.RouteHandlerMethod, options?: Fastify.RouteOptions): void;
    publish(msg: string): void;
    log(log: string): void;
    errorLog(log: string, error: number): void;
    start(): Promise<boolean>;
}
